# ARBInvalidateSubdata (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBInvalidateSubdata

    java.lang.Object
      org.lwjgl.opengl.ARBInvalidateSubdata

    public final class ARBInvalidateSubdata

extends java.lang.Object

Method Summary
`static void` `glInvalidateBufferData(int buffer)`
`static void` `glInvalidateBufferSubData(int buffer, long offset, long length)`
`static void` `glInvalidateFramebuffer(int target, java.nio.IntBuffer attachments)`
`static void` `glInvalidateSubFramebuffer(int target, java.nio.IntBuffer attachments, int x, int y, int width, int height)`
`static void` `glInvalidateTexImage(int texture, int level)`
`static void` `glInvalidateTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glInvalidateTexSubImage

    public static void glInvalidateTexSubImage(int texture,
                                               int level,
                                               int xoffset,
                                               int yoffset,
                                               int zoffset,
                                               int width,
                                               int height,
                                               int depth)

### glInvalidateTexImage

    public static void glInvalidateTexImage(int texture,
                                            int level)

### glInvalidateBufferSubData

    public static void glInvalidateBufferSubData(int buffer,
                                                 long offset,
                                                 long length)

### glInvalidateBufferData

    public static void glInvalidateBufferData(int buffer)

### glInvalidateFramebuffer

    public static void glInvalidateFramebuffer(int target,
                                               java.nio.IntBuffer attachments)

### glInvalidateSubFramebuffer

    public static void glInvalidateSubFramebuffer(int target,
                                                  java.nio.IntBuffer attachments,
                                                  int x,
                                                  int y,
                                                  int width,
                                                  int height)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.